とみたです。

On Wed, 28 Feb 2007 19:19:07 +0900
"Akinori MUSHA" <knu / iDaemons.org> wrote:

>  ruby_1_8 ブランチに NEWS というファイルを置きました。
             〜〜
>  叩き台として 1.8.5 からの変更点を拾って記述しましたが、不足が
> あれば補いたいので、これは書くべきということがあれば指摘をお願い
> します。

NEWS に書くべきものかどうかわからなかったのですが、個人的にちょっとは
まったので…。

 * taint 文字列の intern が SecurityError 例外が発生するように変更された。

   $ ./ruby -v -e '$SAFE=1; p "hoge".taint.intern'
   ruby 1.8.5 (2006-12-25 patchlevel 12) [i686-linux]
   :hoge

   $ ./ruby -v -e '$SAFE=1; p "hoge".taint.intern'
   ruby 1.8.6 (2007-02-24 patchlevel 0) [i686-linux]
   -e:1:in `intern': Insecure: can't intern tainted string (SecurityError)
           from -e:1

# 英語は書けません (__;

-- 
とみたまさひろ <tommy / tmtm.org>
3469 42CC 4D32 F53C AD98  65A5 8C37 FF09 69C1 6040